<?php

/**
 * Pancake
 *
 * A simple, fast, self-hosted invoicing application.
 *
 * PHP version 5.3+
 *
 * @category  APIs
 * @package   Pancake
 * @author    Pancake Dev Team <support@pancakeapp.com>
 * @copyright 2015 Pancake Payments
 * @license   http://pancakeapp.com/license Pancake End User License Agreement
 * @link      http://pancakeapp.com
 * @since     4.8.29
 */

namespace Pancake\Update;

/**
 * Update System File Delete Exceptions.<br />Thrown by the Update System when it can't delete a file.
 *
 * @category Navigation
 * @package  Pancake
 * @author   Pancake Dev Team <support@pancakeapp.com>
 * @license  http://pancakeapp.com/license Pancake End User License Agreement
 * @link     http://pancakeapp.com
 */
class FileDeleteException extends SystemException {

    protected $deletedFile;

    public function __construct($file, $message = "", $code = 0, Exception $previous = null) {
        $this->deletedFile = $file;
        parent::__construct($message, $code, $previous);
    }

    public function getDeletedFile() {
        return $this->deletedFile;
    }

}
